#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x98,0x7C,0x91,0x0A,0x09,0x88,0x9D,0x51,0xF4,0xD6,0xF5,0x6A,
		0xF5,0x00,0x2D,0x84,0xFA,0x7A,0xCC,0x22,0x6A,0xF1,0xD5,0x3E,
		0x3F,0x58,0x6B,0x2E,0x9C,0x39,0x04,0xD7,0x57,0xAB,0x82,0xE6,
		0x90,0x03,0xEA,0xC3,0x55,0x07,0xEF,0xFA,0x7D,0x12,0x6B,0xD3,
		0x03,0xA5,0x16,0x59,0x3D,0x9D,0xA9,0x4E,0xC2,0x43,0xF2,0x19,
		0x9B,0x1B,0x9C,0x27,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
